apiVersion: networking.k8s.io/v1
   
kind: Ingress
   
metadata:
  name: myweb-app-ingress
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$1
spec:
  rules:
    - host: myweb-app.minikube
      http:
        paths:
          - path: /
            pathType: Prefix  
            backend:
              service:
                name: myweb-app
                port: 
                  number: 80